ball = class{function(self, x, y, radius, force, mass, bounce)
	self.force = force or 10
	self.mass  = mass or 10
	self.radius = radius or 32
	y = y - self.radius
	self.body = love.physics.newBody(world.world, x, y, 'dynamic')
	local shape = love.physics.newCircleShape(0, 0, self.radius)
	self.fixture = love.physics.newFixture(self.body, shape, 1)
	self.shape = self.fixture:getShape()
	self.body:setMass(self.mass)
	self.body:setLinearDamping(0.6)
	self.fixture:setRestitution(bounce or 0.7)
	self.fixture:setFriction(0.6)
end}

function ball:draw()
	love.graphics.setColor(255,255,255)
	love.graphics.setLine(4, 'smooth')
	local x, y = self:getPosition()
	love.graphics.circle('line', x, y, self.radius)
end

function ball:getPosition()
	return self.body:getPosition()
end

function ball:launch()
	if not self.launched then
		self.launched = true
		local x,y = self:getPosition()
		self.body:applyLinearImpulse((love.mouse.getX()-x)*self.force, (love.mouse.getY()-y)*self.force)
	end
end

function ball:getDistance()
	return math.floor(ball:getPosition())
end

function ball:isStopped()
	return not self.body:isAwake() and self.launched
end