enemy = class{function(self, x, y, width, height, health, mass, bounce)
	table.insert(objects.enemies, self)
	self.mass = mass or 10
	self.health = health or 100
	
	local width = width or 50
	local height = height or 50
	local bounce = bounce or 0.2
	y = y-height/2
	self.body = love.physics.newBody(world.world, x, y, 'dynamic')
	local shape = love.physics.newRectangleShape(width, height)
	self.fixture = love.physics.newFixture(self.body, shape, 1)
	self.shape = self.fixture:getShape()
	self.body:setMass(self.mass)
	self.body:setLinearDamping(0.6)
	self.fixture:setRestitution(bounce)
	self.fixture:setFriction(0.8)
	self.fixture:setUserData(self)
end}

function enemy:draw()
	love.graphics.setColor(255,0,0)
	love.graphics.setLine(4, 'smooth')
	local x,y = self:getPosition()
	love.graphics.polygon('line', self.body:getWorldPoints(self.shape:getPoints()))
	love.graphics.print(self:getHealth(), x, y)
end

function enemy:getPosition()
	return self.body:getPosition()
end

function enemy:takeDamage(force)
	self.health = math.floor(self.health - force/10000)
end

function enemy:update(dt)
	if self.health <= 0 then
		self:destroy()
	end
end

function enemy:getHealth()
	return self.health
end

function enemy:getDistance()
	return math.floor(enemy:getPosition())
end

function enemy:isStopped()
	return not self.body:isAwake() and self.launched
end

function enemy:destroy()
	self.body:destroy()
	deleteObject(objects.enemies, self)
end